Closed Bug 515407 Opened 10 years ago Closed 7 years ago

[SeaMonkey 2.0/2.1, mochitest-chrome] intermittent test_action_keys_respect_focus.xul reports "Test timed out"

Categories

(SeaMonkey :: Download & File Handling, defect, major)

x86
All
defect
Not set
major

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: sgautherie, Unassigned)

References

(Blocks 1 open bug, )

Details

(Keywords: assertion, intermittent-failure)

It had already been noticed on Linux in bug 506850.

Now seen on Windows too:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1252500626.1252511308.20684.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/09/09 05:50:26
{
INFO Running test_action_keys_respect_focus.xul...
INFO TEST-PASS | ... | (info) backupTestedFunction('removeDownload')
ERROR TEST-UNEXPECTED-FAIL | ... | Test timed out.
}
Duplicate of this bug: 589614
Summary: mochitest-chrome: intermittent test_action_keys_respect_focus.xul reports "Test timed out" → [SeaMonkey 2.1, mochitest-chrome] intermittent test_action_keys_respect_focus.xul reports "Test timed out"
Summary: [SeaMonkey 2.1, mochitest-chrome] intermittent test_action_keys_respect_focus.xul reports "Test timed out" → [SeaMonkey 2.0/2.1, mochitest-chrome] intermittent test_action_keys_respect_focus.xul reports "Test timed out"
Bug 589614 comment 2:
{{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1282499502.1282502435.6363.gz&fulltext=1
Linux comm-central-trunk debug test mochitest-other on 2010/08/22 10:51:42

###!!! ASSERTION: Empty aExtension parameter!: '!aExtension.IsEmpty()', file
/builds/slave/comm-central-trunk-linux-debug/build/mozilla/uriloader/exthandler/nsExternalHelperAppService.cpp,
line 2892
nsExternalHelperAppService::GetTypeFromExtras(nsACString_internal const&,
nsACString_internal&)
[uriloader/exthandler/nsExternalHelperAppService.cpp:2895]
nsExternalHelperAppService::GetTypeFromExtension(nsACString_internal const&,
nsACString_internal&)
[uriloader/exthandler/nsExternalHelperAppService.cpp:2721]
nsIconChannel::InitWithGnome(nsIMozIconURI*)
[modules/libpr0n/decoders/icon/gtk/nsIconChannel.cpp:390]
nsIconChannel::Init(nsIURI*)
[modules/libpr0n/decoders/icon/gtk/nsIconChannel.cpp:462]
nsIconProtocolHandler::NewChannel(nsIURI*, nsIChannel**)
[modules/libpr0n/decoders/icon/nsIconProtocolHandler.cpp:115]
nsIOService::NewChannelFromURI(nsIURI*, nsIChannel**)
[netwerk/base/src/nsIOService.cpp:609]
...
}}
Severity: minor → major
Keywords: assertion
On 2.1 this might get fixed by my landing for bug 592438
Fwiw, it just happened on SM 2.0:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1283292761.1283293821.5126.gz
Linux comm-1.9.1 test mochitest-other on 2010/08/31 15:12:41
I haven't seen this on 2.1 in some time, if there is 2.0 work to do here, lets please do it, otherwise drop this.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Whiteboard: [orange]
http://brasstacks.mozilla.com/topfails/test/SeaMonkey?name=chrome://mochikit/content/chrome/suite/common/downloads/tests/test_action_keys_respect_focus.xul
from 2010-07-26 18:14 SeaMonkey Linux
to   2010-07-31 07:34 SeaMonkey Linux
only :-(

But it's still happening, as for example in:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1289689063.1289693009.12282.gz&fulltext=1
Linux comm-central-trunk debug test mochitest-other on 2010/11/13 14:57:43
Status: RESOLVED → REOPENED
Depends on: 565307
Resolution: FIXED → ---
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: REOPENED → RESOLVED
Closed: 9 years ago7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.